|  | Home

# QtFontPropertyManager Class Reference

The QtFontPropertyManager provides and manages QFont properties. More...

     #include <QtFontPropertyManager>

Inherits QtAbstractPropertyManager.

- List of all members, including inherited members

### Public Functions

- QtFontPropertyManager ( QObject * parent = 0 )
- ~QtFontPropertyManager ()
- QtBoolPropertyManager * subBoolPropertyManager () const
- QtEnumPropertyManager * subEnumPropertyManager () const
- QtIntPropertyManager * subIntPropertyManager () const
- QFont value ( const QtProperty * property ) const

- 3 public functions inherited from QtAbstractPropertyManager
- 29 public functions inherited from QObject

### Public Slots

- void setValue ( QtProperty * property, const QFont & value )

- 1 public slot inherited from QObject

### Signals

- void valueChanged ( QtProperty * property, const QFont & value )

- 4 signals inherited from QtAbstractPropertyManager
- 1 signal inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public type inherited from QObject
- 4 static public members inherited from QObject
- 6 protected functions inherited from QtAbstractPropertyManager
- 7 protected functions inherited from QObject
- 2 protected variables inherited from QObject

## Detailed Description

The QtFontPropertyManager provides and manages QFont properties.

A font property has nested family, pointSize, bold, italic, underline, strikeOut and kerning subproperties. The top-level property's value can be retrieved using the value() function, and set using the setValue() slot.

The subproperties are created by QtIntPropertyManager, QtEnumPropertyManager and QtBoolPropertyManager objects. These managers can be retrieved using the corresponding subIntPropertyManager(), subEnumPropertyManager() and subBoolPropertyManager() functions. In order to provide editing widgets for the subproperties in a property browser widget, these managers must be associated with editor factories.

In addition, QtFontPropertyManager provides the valueChanged() signal which is emitted whenever a property created by this manager changes.

See also QtAbstractPropertyManager, QtEnumPropertyManager, QtIntPropertyManager, and QtBoolPropertyManager.

## Member Function Documentation

### QtFontPropertyManager::QtFontPropertyManager ( QObject * parent = 0 )

Creates a manager with the given parent.

### QtFontPropertyManager::~QtFontPropertyManager ()

Destroys this manager, and all the properties it has created.

### void QtFontPropertyManager::setValue ( QtProperty * property, const QFont & value ) `[slot]`

Sets the value of the given property to value. Nested properties are updated automatically.

See also value() and valueChanged().

### QtBoolPropertyManager * QtFontPropertyManager::subBoolPropertyManager () const

Returns the manager that creates the bold, italic, underline, strikeOut and kerning subproperties.

In order to provide editing widgets for the mentioned properties in a property browser widget, this manager must be associated with an editor factory.

See also QtAbstractPropertyBrowser::setFactoryForManager().

### QtEnumPropertyManager * QtFontPropertyManager::subEnumPropertyManager () const

Returns the manager that create the family subproperty.

In order to provide editing widgets for the family property in a property browser widget, this manager must be associated with an editor factory.

See also QtAbstractPropertyBrowser::setFactoryForManager().

### QtIntPropertyManager * QtFontPropertyManager::subIntPropertyManager () const

Returns the manager that creates the pointSize subproperty.

In order to provide editing widgets for the pointSize property in a property browser widget, this manager must be associated with an editor factory.

See also QtAbstractPropertyBrowser::setFactoryForManager().

### QFont QtFontPropertyManager::value ( const QtProperty * property ) const

Returns the given property's value.

If the given property is not managed by this manager, this function returns a font object that uses the application's default font.

See also setValue().

### void QtFontPropertyManager::valueChanged ( QtProperty * property, const QFont & value ) `[signal]`

This signal is emitted whenever a property created by this manager changes its value, passing a pointer to the property and the new value as parameters.

See also setValue().